From e000438cebba988300c1210bc92a62635ba2ddf8 Mon Sep 17 00:00:00 2001
Message-Id: <e000438cebba988300c1210bc92a62635ba2ddf8.1325691465.git.jlec@gentoo.org>
In-Reply-To: <89d53654acb88cd8dbd4bc9eb388ca6e76d0d6ea.1325691465.git.jlec@gentoo.org>
References: <89d53654acb88cd8dbd4bc9eb388ca6e76d0d6ea.1325691465.git.jlec@gentoo.org>
From: Justin Lecher <jlec@gentoo.org>
Date: Tue, 3 Jan 2012 20:49:24 +0100
Subject: [PATCH 06/15] apbs 1.3 clean targets

---
 Makefile.am |   32 +++++++++++++++++++++++++++-----
 1 files changed, 27 insertions(+), 5 deletions(-)

diff --git a/Makefile.am b/Makefile.am
index 437402d..af3a3a3 100644
--- a/Makefile.am
+++ b/Makefile.am
@@ -16,6 +16,9 @@ SUFFIXES = .H .h .C .cc .c .f .o
 
 SUBDIRS = contrib src bin @apbs_do_tools@ 
 
+pkgconfigdir = @pkgconfigdir@
+pkgconfig_DATA = apbs.pc
+
 distclean-local: clean-local
 
 clean-local: clean-ac
@@ -27,11 +30,30 @@ clean-ac:
 install-exec-local:
 	-rm -f ./bin/apbs
 
-install-data-local:
-	mkdir -p ${prefix}/share
-	-cp -rf examples ${prefix}/share 
-	-cp -rf doc ${prefix}/share 
-	-cp -rf tools ${prefix}/share
+install-data-local: install-cleanup
+	-rm -f doc/LICENSE.txt
+
+install-cleanup:
+	-rm -f tools/manip/*.pyc
+	-rm -f tools/**/*.o
+	-rm -f tools/**/*.c
+	-rm -f tools/**/*.f
+	-rm -f tools/**/*Makefile*
+	-rm -f tools/**/**/*.o
+	-rm -f tools/**/**/*.c
+	-rm -f tools/**/**/*.f
+	-rm -f tools/**/**/*Makefile*
+	-rm -f tools/*Makefile*
+	-rm -f examples/*Makefile*
+	-rm -f examples/**/*Makefile*
+
+install-tools:
+	mkdir -p $(DESTDIR)${prefix}/share/GENTOO_PKG_NAME/tools
+	-cp -rf tools $(DESTDIR)${prefix}/share/GENTOO_PKG_NAME/
+
+install-examples:
+	mkdir -p $(DESTDIR)${prefix}/share/GENTOO_PKG_NAME/examples 
+	-cp -rf examples $(DESTDIR)${prefix}/share/GENTOO_PKG_NAME/
 
 test:
 	cd examples; make test
-- 
1.7.8.2

